Skip to content

Update conversation status

PATCH
/api/conversations/{id}
curl --request PATCH \
--url https://api.getvespy.com/api/conversations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "status": "open" }'
id
required
string format: uuid
Media typeapplication/json
object
status
required
string
Allowed values: open closed archived

Default Response

Media typeapplication/json
object
conversation
required
object
channels
required
Array<string>
Allowed values: in_app sms email
createdAt
required
string format: date-time
id
required
string format: uuid
lastMessageAt
required
string format: date-time
nullable
latestMessagePreview
required
string
nullable
organizationId
required
string format: uuid
participantEmail
required
string format: email
nullable
participantId
required
string format: uuid
participantName
required
string
>= 1 characters <= 160 characters
participantPhone
required
string
nullable
participantType
required
string
Allowed values: tenant vendor
status
required
string
Allowed values: open closed archived
subject
required
string
nullable
unreadCount
required
integer
updatedAt
required
string format: date-time
Example
{
"conversation": {
"channels": [
"in_app"
],
"participantType": "tenant",
"status": "open"
}
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}